<!DOCTYPE HTML>
<html>
<head>
<title>HSYCO Manager</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta id="viewport" name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
<meta name="apple-mobile-web-app-capable" content="yes" />
<link id="projectcss" rel="stylesheet" href="/x/getstylecss?skin=blue" type="text/css"/>
<link rel="icon" href="/favicon.png" type="image/png" />
<link rel="apple-touch-icon" href="/manager/pic/hsyco-icon.png" />

<script type="text/javascript" src="/manager/lib/ace/ace.js"></script>
<script type="text/javascript" src="/manager/lib/ace/mode-css.js"></script>
<script type="text/javascript" src="/manager/lib/ace/mode-ini.js"></script>
<script type="text/javascript" src="/manager/lib/ace/mode-javascript.js"></script>
<script type="text/javascript" src="/manager/lib/ace/mode-xml.js"></script>
<script type="text/javascript" src="/manager/lib/ace/mode-java.js"></script>
<script type="text/javascript" src="/manager/lib/ace/ext-searchbox.js"></script>
<script type="text/javascript" src="/manager/lib/ace/ext-modelist.js"></script>
<script type="text/javascript" src="/manager/lib/ace/ext-language_tools.js"></script>

<script type="text/javascript" src="/manager/lib/ace/worker-javascript.js"></script>

<script type="text/javascript" src="/manager/lib/ace/custom/mode-events.js"></script>
<script type="text/javascript" src="/manager/lib/ace/custom/token_tooltip.js"></script>
<script type="text/javascript" src="/manager/lib/ace/custom/snippets_mod.js"></script>
<script type="text/javascript" src="/manager/lib/ace/custom/snippets/events.js"></script>
<script type="text/javascript" src="/manager/lib/ace/custom/snippets/javascript.js"></script>

<script type="text/javascript" src="/manager/lib/mm.js"></script>
<script type="text/javascript">
var JSONState = $__embed:jsonstate;
var JSONTopo = $__embed:jsontopo;
var JSONConfig = $__embed:jsonconfig;

var textD = {
	"enterpin" : "$enterpin;",
	"enterpuk" : "$enterpuk;",
	"waitforauth" : "$waitforauth;"
};

</script>
<style type="text/css">
$__file:/manager/code/style.css;
</style>

</head>


<body id="hsycomanager">

<div id="preloadDiv" style="display:none">
	<img src="/manager/pic/iconprojects.png">
	<img src="/manager/pic/iconpages.png">
	<img src="/manager/pic/iconobjs.png">
	<img src="/manager/pic/iconmenul.png">
	<img src="/manager/pic/iconmenup.png">
	<img src="/manager/pic/iconpagel.png">
	<img src="/manager/pic/iconpagep.png">
	<img src="/manager/pic/iconpopup.png">
	<img src="/manager/pic/iconadd.png">
	<img src="/manager/pic/arrowi.png">
	<img src="/manager/pic/iconstatus.gif">
	<img src="/manager/pic/bticonwarning.png">
	<img src="/manager/pic/bticonundo.png">
</div>

<iframe id="downloadTarget" style="display:none"></iframe>

<div id="projectEditor">

	<div id="pe_attributeFields">
		<div name="title"> <!--  standalone title (for options) -->
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
		</div>

		<!-- project -->
		<div name="projectskin">
			<div name="t" class="attrTitle"  onselectstart="return false;"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			</select>
		</div>
		<div name="projectlan">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			<option value="it">it</option>
			<option value="en">en</option>
			<option value="fr">fr</option>
			<option value="cn">cn</option>
			<option value="de">de</option>
			<option value="dk">dk</option>
			<option value="pl">pl</option>
			<option value="sl">sl</option>
			</select>
		</div>
		<div name="projectsize">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>

			<div><input class="stdInputSmall" id="orientationenabled" name="orientationenabled" type="checkbox" onchange="projectEditor.setOrientationEnabled(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" autocomplete="false"/><label>Orientation enabled</label></div>

			<br style="clear:both">

			<div name="od">
				<span class="colB">Width:</span>
				<span class="col">
					<input name="w" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px
				</span>

				<br style="clear:both">

				<span class="colB">Height:</span>
				<span class="col">
					<input name="h" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px
				</span>
			</div>

			<div name="oe" style="display:none">
				<span style="font-weight:bold">Landscape:</span>
				<br style="clear:both">
				<span class="colB">Width:</span>
				<span class="col">
					<input name="wl" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px
				</span>

				<br style="clear:both">

				<span class="colB">Height:</span>
				<span class="col">
					<input name="hl" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px
				</span>

				<br style="clear:both">
				<br style="clear:both">
				<span style="font-weight:bold">Portrait:</span>
				<br style="clear:both">
				<span class="colB">Width:</span>
				<span class="col">
					<input name="wp" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px
				</span>

				<br style="clear:both">

				<span class="colB">Height:</span>
				<span class="col">
					<input name="hp" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px
				</span>
			</div>

			<br style="clear:both">
			<br style="clear:both">

			<div class="mButton" style="min-width:0px" data-onclick="projectEditor.setProjectSizeDefault('iPhone')">iPhone</div>
			<div class="mButton" style="min-width:0px" data-onclick="projectEditor.setProjectSizeDefault('iPad')">iPad</div>
			<div class="mButton" style="min-width:0px" data-onclick="projectEditor.setProjectSizeDefault('default')">default</div>

			<br style="clear:both">
		</div>
		<div name="cameralist">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<div class="stdInput" style="float:left; padding:0; height:25px;">
				<input name="v" class="inner" readonly="readonly" type="text" value="" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
				<div class="mButton" style="float:right; height:13px; min-width:30px;" data-onclick="projectEditor.openCameraValuesPopup('list')">...</div>
			</div>
			<br style="clear:both">
		</div>
		<div name="cameraoverlay">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<div class="stdInput" style="float:left; padding:0; height:25px;">
				<input name="v" class="inner" readonly="readonly" type="text" value="" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
				<div class="mButton" style="float:right; height:13px; min-width:30px;" data-onclick="projectEditor.openCameraValuesPopup('overlay')">...</div>
			</div>
			<br style="clear:both">
		</div>
		<div name="cameragridlist">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<div class="stdInput" style="float:left; padding:0; height:25px;">
				<input name="v" class="inner" readonly="readonly" type="text" value="" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
				<div class="mButton" style="float:right; height:13px; min-width:30px;" data-onclick="projectEditor.openCameraValuesPopup('grid')">...</div>
			</div>
			<br style="clear:both">
		</div>
		<div name="cameraids">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<div class="stdInput" style="float:left; padding:0; height:25px;">
				<input name="v" class="inner" readonly="readonly" type="text" value="" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
				<div class="mButton" style="float:right; height:13px; min-width:30px;" data-onclick="projectEditor.openCameraValuesPopup('ids',e)">...</div>
			</div>
			<br style="clear:both">
		</div>
		<div name="projectlocked">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<div><input class="stdInputSmall" name="v" id="projectlocked" type="checkbox" onchange="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)"  autocomplete="false"/><label>Project locked</label></div>
		</div>
		<div name="projectkiosk">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="k" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			<option value="">disabled</option>
			<option value="nolock">enabled</option>
			<option value="lock">locked</option>
			</select>

			<br style="clear:both">
		</div>
		<div name="style">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<div class="stdInput" style="float:left; padding:0; height:25px;">
			<input name="v" class="inner" type="text" value="" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			<div class="mButton" style="float:right; height:13px; min-width:30px;" data-onclick="projectEditor.openProjectStylePopup(e)">...</div>
			</div>
			<br style="clear:both">
		</div>
		<div name="uiset">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<div class="stdInput" style="float:left; padding:0; height:25px;">
			<input name="v" class="inner" type="text" value="" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			<div class="mButton" style="float:right; height:13px; min-width:30px;" data-onclick="projectEditor.openUISetPopup(e)">...</div>
			</div>
			<br style="clear:both">
		</div>
		<div name="addproject">
			<div class="mButton" data-onclick="projectEditor.newProject()">
				<img src="/manager/pic/bticonnew.png">
				<span>create project</span>
			</div>
			<br style="clear:both">
		</div>
		<div name="delproject">
			<div class="mButton" style="width:80px" data-onclick="projectEditor.delProject()">
				<img src="/manager/pic/bticondel.png">
				<span>delete</span>
			</div>
			<br style="clear:both">
		</div>
		<div name="cloneproject">
			<div class="mButton" style="width:80px" data-onclick="projectEditor.onProjectDuplicate()">
				<img src="/manager/pic/bticonclone.png">
				<span>duplicate</span>
			</div>
			<br style="clear:both">
		</div>

		<!-- page -->
		<div name="pagetype">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="t" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			<option value="menu">menu</option>
			<option value="page">page</option>
			<option value="popup">popup</option>
			<option value="overlay">overlay</option>
			</select>
		</div>
		<div name="pageorientation">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="o" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			<option value="landscape">landscape</option>
			<option value="portrait">portrait</option>
			</select>
		</div>
		<div name="pageprotected">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="o" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			<option value=""></option>
			<option value="pin">pin</option>
			</select>
		</div>
		<div name="locations">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<input name="v" class="stdInput" type="text" value="" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
		</div>
		<div name="deviceimage">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			<option value="">enabled</option>
			<option value="disable">disabled</option>
			</select>
		</div>
		<div name="scale">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
				<option value=""></option>
				<option value="auto">auto</option>
				<option value="fit">fit</option>
				<option value="factor:">factor:</option>
			</select>
			<div name="i" style="display:none">
				<br style="clear:both">
				<input name="l" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			</div>
		</div>
		<div name="popupsize">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<span class="col" style="padding-top:3px; padding-bottom:5px">
				<span class="colB">Width:</span>
				<span class="col">
					<input name="w" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px
				</span>

				<br style="clear:both">

				<span class="colB">Height:</span>
				<span class="col">
					<input name="h" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px
				</span>
			</span>
			<div class="mButton" data-onclick="projectEditor.fitPopupSize()">
				<span>fit size</span>
			</div>
			<br style="clear:both">
		</div>
		<div name="delpage">
			<div class="mButton" style="width:80px" data-onclick="projectEditor.onActivePageDelete()">
				<img src="/manager/pic/bticondel.png">
				<span>delete</span>
			</div>
			<br style="clear:both">
		</div>
		<div name="clonepage">
			<div class="mButton" style="width:80px" data-onclick="projectEditor.onPageDuplicate()">
				<img src="/manager/pic/bticonclone.png">
				<span>duplicate</span>
			</div>
			<br style="clear:both">
		</div>
		<div name="cutpage">
			<div class="mButton" style="width:80px" data-onclick="projectEditor.cutActivePage()">
				<img src="/manager/pic/bticoncut.png">
				<span>cut</span>
			</div>
			<br style="clear:both">
		</div>
		<div name="copypage">
			<div class="mButton" style="width:80px" data-onclick="projectEditor.copyPage()">
				<img src="/manager/pic/bticonclone.png">
				<span>copy</span>
			</div>
			<br style="clear:both">
		</div>

		<!-- popup -->
		<div name="cameravalue"><div style="margin:4px">
			<div name="l" style="float:left; color:black; font-size:14px; width:90px; overflow:hidden"></div>
			<input name="v" class="stdInput" style="float:right" type="text" value="" onchange="var el=this.parentNode.getElementsByTagName('div')[0]; el.style.color=(this.value)?'black':'#aaa';" onkeyup="var el=this.parentNode.getElementsByTagName('div')[0]; el.style.color=(this.value)?'black':'#aaa';" onfocus="focusMe(this)" onblur="blurMe(this)">
		</div><br style="clear:both"></div>
		<div name="cameravalueid"><div style="margin:4px">
			<input name="v" class="stdInputSmall" style="float:left" type="checkbox" value="">
			<label name="l" style="float:left; color:black; font-size:14px; width:253px; margin:3px; overflow:hidden">
		</div><br style="clear:both"></div>

		<!-- objects -->
		<div name="pos">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			Mode:
			<input name="pxy" class="stdInputSmall" type="radio" value="xy" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)"  onfocus="focusMe(this)" onblur="blurMe(this)"><label>X/Y</label>
			<input name="prc" class="stdInputSmall" type="radio" value="rc" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)"  onfocus="focusMe(this)" onblur="blurMe(this)"><label>Row/Column</label>
			<br><br>
			<div name="xy" style="display:none">
			X:&nbsp;<input name="x" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px<br>
			Y:&nbsp;<input name="y" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px
			</div>
			<div name="rc" style="display:inline;">
			R:&nbsp;<input name="r" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"><br>
			C:&nbsp;<input name="c" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px">
			</div>
		</div>
		<div name="xy">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			X:&nbsp;<input name="x" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px<br>
			Y:&nbsp;<input name="y" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px
		</div>
		<div name="xyla">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			X:&nbsp;<input name="x" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px<br>
			Y:&nbsp;<input name="y" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px<br>
			<br>
			<span style="display:inline-block; width:50px">Length:&nbsp;</span><input name="l" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px<br>
			<span style="display:inline-block; width:50px">Angle:&nbsp;</span><input name="a" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> deg
		</div>
		<div name="label">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<input name="v" class="stdInput" type="text" value="" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
		</div>
		<div name="string">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<input name="v" class="stdInput" type="text" value="" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
		</div>
		<div name="select">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			</select>
		</div>
		<div name="link">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)"></select>
			<div name="i" style="display:none">
				<br style="clear:both">
				<input name="l" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			</div>
		</div>
		<div name="color">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			</select>
		</div>
		<div name="width">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<span class="colB">Width:</span>
			<span class="col">
			<input name="w" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px<br>
			</span>
			<br style="clear:both">
		</div>
		<div name="height">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<span class="colB">Height:</span>
			<span class="col">
			<input name="h" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px
			</span>
			<br style="clear:both">
		</div>
		<div name="size">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>

			<span class="colB">Width:</span>
			<span class="col">
				<input name="w" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px
			</span>

			<br style="clear:both">

			<span class="colB">Height:</span>
			<span class="col">
				<input name="h" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px
			</span>
			<br style="clear:both">
		</div>
		<div name="cameraid">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			</select>
		</div>
		<div name="containerid">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)"></select>
			<div name="i" style="display:none">
				<br style="clear:both">
				<input name="l" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			</div>
			</select>
		</div>
		<div name="img">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<div class="stdInput" style="float:left; padding:0; height:25px;">
			<input name="v" class="inner" type="text" value="" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			<div class="mButton" style="float:right; height:13px; min-width:30px;" data-onclick="projectEditor.openChooseFilePopup('img',e)">...</div>
			</div>
			<br style="clear:both">
		</div>
		<div name="video">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<div class="stdInput" style="float:left; padding:0; height:25px;">
			<input name="v" class="inner" type="text" value="" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			<div class="mButton" style="float:right; height:13px; min-width:30px;" data-onclick="projectEditor.openChooseFilePopup('video',e)">...</div>
			</div>
			<br style="clear:both">
		</div>
		<div name="imgsize">
			<div name="t" class="attrTitle"  onselectstart="return false;">Size</div>
			<span class="col" style="padding-top:3px; padding-bottom:5px">
				<span class="colB">Width:</span>
				<span class="col">
					<input name="w" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px
				</span>

				<br style="clear:both">

				<span class="colB">Height:</span>
				<span class="col">
					<input name="h" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px
				</span>
			</span>
			<span class="col" style="padding-left:10px">
				<div class="mButton" style="min-width:0px" data-onclick="projectEditor.setActiveObjSizeOriginal()">
					<img src="/manager/pic/bticonreload.png">
				</div>
			</span>
			<br style="clear:both">
			<div><input class="stdInputSmall" id="sizeratio" name="sizeratio" type="checkbox" onchange="projectEditor.setActiveObjSizeFixed(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)"  autocomplete="false"/><label>Fixed aspect ratio</label></div>
		</div>
		<div name="camera">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)"></select>
		</div>
		<div name="camerasize">
			<div name="t" class="attrTitle"  onselectstart="return false;">Size</div>
			<span class="col" style="padding-top:3px; padding-bottom:5px">
				<span class="colB">Width:</span>
				<span class="col">
					<input name="w" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px
				</span>

				<br style="clear:both">

				<span class="colB">Height:</span>
				<span class="col">
					<input name="h" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)" style="width:50px"> px
				</span>
			</span>
			<span class="col" style="padding-left:10px">
				<div class="mButton" style="min-width:0px" data-onclick="projectEditor.setActiveObjSizeOriginal()">
					<img src="/manager/pic/bticonreload.png">
				</div>
			</span>
			<br style="clear:both">
			<div><input class="stdInputSmall" id="sizeratio" name="sizeratio" type="checkbox" onchange="projectEditor.setActiveObjSizeFixed(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)"  autocomplete="false"/><label>Fixed aspect ratio</label></div>
		</div>
		<div name="css">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<div class="stdInput" style="float:left; padding:0; height:25px;">
			<input name="v" class="inner" type="text" value="" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			<div class="mButton" style="float:right; height:13px; min-width:30px;" data-onclick="projectEditor.openCSSPopup(e)">...</div>
			</div>
			<br style="clear:both">
		</div>
		<div name="gestures">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<div class="stdInput" style="float:left; padding:0; height:25px;">
			<input name="v" class="inner" type="text" value="" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			<div class="mButton" style="float:right; height:13px; min-width:30px;" data-onclick="projectEditor.openGesturesPopup(e)">...</div>
			</div>
			<br style="clear:both">
		</div>
		<div name="scope">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<div class="stdInput" style="float:left; padding:0; height:25px;">
			<input name="v" class="inner" type="text" value="" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			<div class="mButton" style="float:right; height:13px; min-width:30px;" data-onclick="projectEditor.openScopePopup(e)">...</div>
			</div>
			<br style="clear:both">
		</div>
		<div name="chartattributes">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<div class="stdInput" style="float:left; padding:0; height:25px;">
			<input name="v" class="inner" type="text" value="" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			<div class="mButton" style="float:right; height:13px; min-width:30px;" data-onclick="projectEditor.openChartAttributesPopup(e)">...</div>
			</div>
			<br style="clear:both">
		</div>
		<div name="dataloggerattributes">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<div class="stdInput" style="float:left; padding:0; height:25px;">
			<input name="v" class="inner" type="text" value="" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			<div class="mButton" style="float:right; height:13px; min-width:30px;" data-onclick="projectEditor.openDataLoggerAttributesPopup(e)">...</div>
			</div>
			<br style="clear:both">
		</div>
		<div name="aux">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)"></select>
		</div>
		<div name="device">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)"></select>
			<div name="i" style="display:none">
				<br style="clear:both">
				<input name="l" class="stdInput" type="text" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			</div>
		</div>
		<div name="music">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)"></select>
		</div>
		<div name="timer">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)"></select>
		</div>
		<div name="group">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)"></select>
		</div>
		<div name="locations">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)"></select>
		</div>
		<div name="scene">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)"></select>
		</div>
		<div name="security">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)"></select>
		</div>
		<div name="temp">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)"></select>
		</div>
		<div name="include">
			<div name="t" class="attrTitle"  onselectstart="return false;"></div>
			<select name="s" class="stdInput" onchange="projectEditor.updateAttr(this,event)" onkeyup="projectEditor.updateAttr(this,event)" onfocus="focusMe(this)" onblur="blurMe(this)">
			</select>
		</div>
		<div name="openobj">
			<div class="mButton" style="width:80px" data-onclick="projectEditor.openContainer()">
				<img src="/manager/pic/bticonopenc.png">
				<span>open</span>
			</div>
			<br style="clear:both">
		</div>
		<div name="delobj">
			<div class="mButton" style="width:80px" data-onclick="projectEditor.delSelObjs()">
				<img src="/manager/pic/bticondel.png">
				<span>delete</span>
			</div>
			<br style="clear:both">
		</div>
		<div name="cloneobj">
			<div class="mButton" style="width:80px" data-onclick="projectEditor.cloneSelObjs()">
				<img src="/manager/pic/bticonclone.png">
				<span>duplicate</span>
			</div>
			<br style="clear:both">
		</div>
		<div name="copyobj">
			<div class="mButton" style="width:80px" data-onclick="projectEditor.copySelObjs()">
				<img src="/manager/pic/bticonclone.png">
				<span>copy</span>
			</div>
			<br style="clear:both">
		</div>
		<div name="cutobj">
			<div class="mButton" style="width:80px" data-onclick="projectEditor.cutSelObjs()">
				<img src="/manager/pic/bticoncut.png">
				<span>cut</span>
			</div>
			<br style="clear:both">
		</div>
	</div>

	<div id="pe_editorArea" class="hsc">

		<div id="pe_bgArea">
			<div id="pe_bgAreaPopup" class="popupFrame">
				<div name="cpanel" class="bg"></div>
			</div>
			<div id="pe_bgAreaPage" class="body">
				<div class="bodyBackground" style="position:absolute; width:100%; height:100%"></div>
				<div class="pagesContainer"></div>
				<div id="pageheader"></div>
				<div id="pagefooter"></div>
			</div>
			<div id="pe_bgAreaWatch" class="watchPage">
			</div>
		</div>

		<div id="pe_contentArea">
			<div id="pe_pageContent"></div>
		</div>

		<div id="pe_helpersArea">
			<div id="pe_helpersContent">
				<div id="pe_selectedFrame">
					<div id="pe_selectedFrames"></div>
					<!--
						<div class="selectedFrame">
							<div class="frameBg"></div>
							<div class="frameBorder"></div>
							<div class="frameBorderOver"></div>
						</div>

					 -->

					<div id="pe_selectedLabel" class="frameBt"></div>
					<div id="pe_selectedRemoveBt" class="frameBt"><img src="/manager/pic/seldel.png"></div>
					<div id="pe_selectedResizeBt" class="frameBt"><img src="/manager/pic/selres.png"></div>
					<div id="pe_selectedOpenBt" class="frameBt"><img src="/manager/pic/selop.png"></div>
					<div id="pe_selectedStartPointBt" class="pointBt"></div>
					<div id="pe_selectedEndPointBt" class="pointBt"></div>
				</div>
				<div id="pe_selectRect"></div>
				<div id="pe_xSnap"></div>
				<div id="pe_ySnap"></div>
				<div id="pe_containerFrame">
					<div id="pe_containerFrameCloseBt" class="frameBt"><img src="/manager/pic/selcl.png"></div>
				</div>
			</div>
		</div>

		<div id="pe_clickArea"></div>

	</div>

	<div id="pe_toolbar" class="toolbar">
		<div id="pe_toolbarHeader" class="toolbarHeader" onselectstart="return false;"></div>
		<div id="pe_toolbarAppsBt" class="mToolButton" data-onclick="manager.showAppsPopup(true)"><img class="icon" src="/manager/pic/ticonapps.png"></div>
		<div class="mToolSep"></div>
		<div id="pe_toolbarSaveBt" class="mToolButton" data-onclick="projectEditor.saveProject()"><img class="icon" src="/manager/pic/ticonsave.png"><span>save</span></div>
		<div id="pe_toolbarToolsBt" class="mToolButton" data-onclick="manager.showToolbarPopup('pe_edit')"><img class="icon" src="/manager/pic/ticontools.png"><span>tools</span></div>
		<div id="pe_toolbarOpenBt" class="mToolButton" data-onclick="projectEditor.openProjectLink()"><img class="icon" src="/manager/pic/ticonopen.png"><span>open</span></div>
		<div id="pe_toolbarWarningsBt" class="mToolButton" data-onclick="manager.showToolbarPopup('pe_warnings')"><img class="icon" src="/manager/pic/ticonalert.png"><span></span></div>
	</div>

	<div id="editorPanels">
		<div id="pe_iconPanel">
			<div class="mImageButton" data-onclick="projectEditor.onPanelSelect('m',event)"><img class="iproject" src="/manager/pic/iconprojects.png"></div>
			<div class="mImageButton" data-onclick="projectEditor.onPanelSelect('m',event)"><img class="iproject" src="/manager/pic/iconprojectso.png"></div>
			<div class="mImageButton" data-onclick="projectEditor.onPanelSelect('p',event)"><img class="ipages" src="/manager/pic/iconpages.png"></div>
			<div class="mImageButton" data-onclick="projectEditor.onPanelSelect('p',event)"><img class="ipages" src="/manager/pic/iconpageso.png"></div>
			<div class="mImageButton" data-onclick="projectEditor.onPanelSelect('p',event)"><img class="ipages" src="/manager/pic/iconpagesd.png"></div>
			<div class="mImageButton" data-onclick="projectEditor.onPanelSelect('o',event)"><img class="iobjs" src="/manager/pic/iconobjs.png"></div>
			<div class="mImageButton" data-onclick="projectEditor.onPanelSelect('o',event)"><img class="iobjs" src="/manager/pic/iconobjso.png"></div>
			<div class="mImageButton" data-onclick="projectEditor.onPanelSelect('o',event)"><img class="iobjs" src="/manager/pic/iconobjsd.png"></div>
		</div>

		<div id="pe_projectPanel" class="projectEditorPanel">
			<div id="pe_projectPanelTitle" class="header" onmousedown="return false"><div class='label'>Projects</div></div>
			<div id="pe_projectPanelContents" class="contents">
				<div class="tabs">
					<div id="pe_projectPanelListBt" class="bt list mTextButton" data-onclick="projectEditor.selectTab('project','list');">select</div>
					<div id="pe_projectPanelEditBt" class="bt edit mTextButton" data-onclick="projectEditor.selectTab('project','edit');">edit</div>
					<div id="pe_projectPanelAddBt" class="bt add mTextButton" data-onclick="projectEditor.selectTab('project','add');">+</div>
				</div>
				<div id="pe_projectPanelList" class="tab"></div>
				<div id="pe_projectPanelEdit" class="tab"></div>
				<div id="pe_projectPanelAdd" class="tab"></div>
			</div>
		</div>

		<div id="pe_pagesPanel" class="projectEditorPanel">
			<div id="pe_pagesPanelTitle" class="header" onmousedown="return false"><div class='label'>Pages</div></div>
			<div id="pe_pagesPanelContents" class="contents">
				<div class="tabs">
					<div id="pe_pagesPanelListBt" class="bt list mTextButton" data-onclick="projectEditor.selectTab('pages','list');">select</div>
					<div id="pe_pagesPanelEditBt" class="bt edit mTextButton" data-onclick="projectEditor.selectTab('pages','edit');">edit</div>
					<div id="pe_pagesPanelAddBt" class="bt add mTextButton" data-onclick="projectEditor.selectTab('pages','add');">+</div>
				</div>
				<div id="pe_pagesPanelList" class="tab"></div>
				<div id="pe_pagesPanelEdit" class="tab"></div>
				<div id="pe_pagesPanelAdd" class="tab"></div>
				<div id="pe_pagesPanelListBts" class="bts">
					<div class="mButton" style="width:85px" data-onclick="projectEditor.pastePage()">
						<img src="/manager/pic/bticonpaste.png">
						<span style="font-size:95%">paste page</span>
					</div>
					<div class="mButton" style="width:94px" data-onclick="projectEditor.copyPage()">
						<img src="/manager/pic/bticonclone.png">
						<span style="font-size:95%">copy page</span>
					</div>
				</div>
			</div>
		</div>

		<div id="pe_objsPanel" class="projectEditorPanel">
			<div id="pe_objsPanelTitle" class="header" onmousedown="return false"><div class='label'>Objects</div></div>
			<div id="pe_objsPanelContents" class="contents">
				<div class="tabs">
					<div id="pe_objsPanelListBt" class="bt list mTextButton" data-onclick="projectEditor.selectTab('objs','list');">select</div>
					<div id="pe_objsPanelEditBt" class="bt edit mTextButton" data-onclick="projectEditor.selectTab('objs','edit');">edit</div>
					<div id="pe_objsPanelAddBt" class="bt add mTextButton" data-onclick="projectEditor.selectTab('objs','add');">+</div>
				</div>
				<div id="pe_objsPanelList" class="tab"></div>
				<div id="pe_objsPanelEdit" class="tab"></div>
				<div id="pe_objsPanelAdd" class="tab"></div>
				<div id="pe_objsPanelListBts" class="bts">
					<div class="mButton" style="width:94px" data-onclick="projectEditor.moveZ(-1)">
						<img src="/manager/pic/bticondown.png">
						<span>move down</span>
					</div>
					<div class="mButton" style="width:85px" data-onclick="projectEditor.moveZ(1)">
						<img src="/manager/pic/bticonup.png">
						<span>move up</span>
					</div>
				</div>
				<div id="pe_objsPanelAddBts" class="bts">
					<input id="objslistshowall" type="checkbox" onchange="projectEditor.initObjsAddPanel()">
					<label>show all</label>
				</div>
			</div>
		</div>

	</div>

	<div id="pe_sourcePanel">
		<textarea id="pe_sourcePanelText" readonly="readonly" wrap="off" spellcheck="false"></textarea>
		<div name="closeBt" class="popupBt mToolButton" data-onclick="projectEditor.showSourcePopup(false)"><img src="/manager/pic/bticonclose.png"></div>
		<div name="closeBt" class="popupBt mToolButton" data-onclick="projectEditor.showSourcePopup(true)"><img src="/manager/pic/bticonreload.png"></div>
	</div>

</div>

<div id="fileManager">

	<div id="fm_toolbar" class="toolbar">
		<div class="toolbarAppIcon"><img src="/manager/pic/appiconfmd.png"></div>
		<div id="fm_toolbarHeader" class="toolbarHeader" onselectstart="return false;">File Manager<span id="fm_editorTitle"> <img src='/manager/pic/arrow-r.png'> Text Editor</span></div>
		<div id="fm_toolbarAppsBt" class="mToolButton" data-onclick="manager.showAppsPopup(true)"><img class="icon" src="/manager/pic/ticonapps.png"></div>
		<div class="mToolSep"></div>
		<div id="fm_toolbarSaveBt" class="mToolButton" data-onclick="fileManager.saveEditor()"><img class="icon" src="/manager/pic/ticonsave.png"><span>save</span></div>
		<div id="fm_toolbarToolsBt" class="mToolButton" data-onclick="manager.showToolbarPopup('fm_edit')"><img class="icon" src="/manager/pic/ticontools.png"><span>tools</span></div>
		<div id="fm_toolbarWarningsBt" class="mToolButton" data-onclick="manager.showToolbarPopup('fm_warnings')"><img class="icon" src="/manager/pic/ticonalert.png"><span></span></div>
	</div>

	<div id="fm_dirsPanel">
		<div id="fm_dirsPath" class="fm_dirsPath"></div>
		<div id="fm_dirsOptions" class="fm_dirsOptions">
			<div id="fm_dirsParentBt" style="float:left; display:none;" class="mButton" data-onclick="fileManager.parentFolder()">
				<img src="/manager/pic/bticonparent.png">
				<span>parent folder</span>
			</div>
			<div id="fm_dirsNewFolderBt" class="mButton" data-onclick="fileManager.openNewFolderPopup()">
				<img src="/manager/pic/bticonfolder.png">
				<span>new folder</span>
			</div>
			<div id="fm_dirsNewFileBt" class="mButton" data-onclick="fileManager.openNewFilePopup()">
				<img src="/manager/pic/bticontextfile.png">
				<span>new file</span>
			</div>
			<div id="fm_dirsUploadBt" class="mButton" data-onclick="fileManager.openUploadPopup()">
				<img src="/manager/pic/bticonupload.png">
				<span>upload files</span>
			</div>
		</div>

		<div id="fm_dirsHeader" class="fm_dirsHeader">
			<div class="name">File Name</div>
			<div class="modified">Modified</div>
			<div class="size">Size</div>
		</div>

		<div class="dash"></div>
		<div id="fm_dirsContent" class="fm_dirsContent" onmouseup="fileManager.onDirsClick(event,this)"></div>
		<div class="dash"></div>

		<div id="fm_dirsLoading" class="fm_dirsLoading">
			<div id="fm_dirsLoadingLabel" class="fm_dirsLoadingLabel"><img style="float:left; margin-right:4px;" src="/manager/pic/loader.gif">&nbsp;Loading</div>
		</div>
	</div>

	<div id="fm_detailsPanel" class="transparentPanel">
		<div id="fm_detailsContent">
			<div class="icon">
				<img id="fm_detailsDirIcon" class="abso" src="/manager/pic/fmicondir.png">
				<img id="fm_detailsFileIcon" class="abso" src="/manager/pic/fmiconfile.png">
				<img id="fm_detailsFilesIcon" class="abso" src="/manager/pic/fmiconfiles.png">
				<div id="fm_detailsTextPreview" class="text"></div>
				<img id="fm_detailsFileIconOver" class="abso" src="/manager/pic/fmiconfileover.png">
				<div class="img">
					<img id="fm_detailsImgPreview" src="/manager/pic/empty.png" onload="this.style.visibility='visible'">
				</div>
			</div>
			<div id="fm_detailsLabel">
				<div class="line" id="fm_detailsSel"><span id="fm_detailsSelN">1</span> of <span id="fm_detailsTot">1</span> selected</div>
				<div id="fm_detailsName" class="line">
					<div class="a">Name</div>
					<div id="fm_detailsNameV" class="b"></div>
					<br style="clear:both">
				</div>
				<div id="fm_detailsKind" class="line">
					<div class="a">Kind</div>
					<div id="fm_detailsKindV" class="b"></div>
					<br style="clear:both">
				</div>
				<div id="fm_detailsSize" class="line">
					<div class="a">Size</div>
					<div id="fm_detailsSizeV" class="b"></div>
					<br style="clear:both">
				</div>
			</div>
			<div id="fm_detailsOptions">
				<div class="title">Options</div>
				<div id="fm_detailsBtRestart" class="mButton" data-onclick="manager.restartServer()">
					<img src="/manager/pic/bticondel.png">
					<span>restart hsyco</span>
				</div>
				<div id="fm_detailsBtDelete" class="mButton" data-onclick="manager.openPopup('deletefile',true)">
					<img src="/manager/pic/bticondel.png">
					<span>delete</span>
				</div>
				<div id="fm_detailsBtDownload" class="mButton" data-onclick="fileManager.downloadFile()">
					<img src="/manager/pic/bticondownload.png">
					<span>download</span>
				</div>
				<div id="fm_detailsBtRename" class="mButton" data-onclick="fileManager.openRenameFilePopup()">
					<img src="/manager/pic/bticonrename.png">
					<span>rename</span>
				</div>
				<div id="fm_detailsBtEdit" class="mButton" data-onclick="fileManager.openEditor()">
					<img src="/manager/pic/bticontextfile.png">
					<span>edit</span>
				</div>
				<div id="fm_detailsBtDuplicate" class="mButton" data-onclick="fileManager.duplicateFile()">
					<img src="/manager/pic/bticoncp.png">
					<span>duplicate</span>
				</div>
				<div id="fm_detailsBtCopy" class="mButton" data-onclick="fileManager.copyItems()">
					<img src="/manager/pic/bticoncp.png">
					<span>copy</span>
				</div>
				<div id="fm_detailsBtMove" class="mButton" data-onclick="fileManager.moveItems()">
					<img src="/manager/pic/bticonmv.png">
					<span>move</span>
				</div>
				<div id="fm_detailsBtOpenFolder" class="mButton" data-onclick="fileManager.selectItem()">
					<img src="/manager/pic/bticonfolder.png">
					<span>open</span>
				</div>
				<div id="fm_detailsBtOpenVE" class="mButton" data-onclick="fileManager.openInProjectEditor()">
					<img src="/manager/pic/bticonfile.png">
					<span>open in project editor</span>
				</div>
				<br style="clear:both">
			</div>
		</div>
	</div>

	<div id="fm_uploadProgressPanel">
		<div id="fm_uploadContent">
			<div id="fm_uploadFileName">Uploading: this is a text file.png</div>
			<div id="fm_uploadBarContainer" class="m_barContainer">
				<div id="fm_uploadBar" class="m_bar"></div>
			</div>
			<div>
				<div id="fm_uploadProgress">50%</div>
				<div id="fm_uploadBytes">0.4 KB/12 KB</div>
			</div>
		</div>
	</div>

	<div id="fm_editorPanel">
		<div id="fm_editorHeader">
			<div id="fm_editorHeaderLabel"></div>
			<div style="float:right;">
				<div class="popupBt mToolButton" data-onclick="fileManager.closeEditor()"><img src="/manager/pic/bticonclose.png"></div>
			</div>
			<div class="mToolSep"></div>
			<div style="float:right;">
				<div class="popupBt mToolButton" data-onclick="fileManager.setEditFontSize(1)"><img src="/manager/pic/bticonfontb.png"></div>
				<div class="popupBt mToolButton" data-onclick="fileManager.setEditFontSize(0)"><img src="/manager/pic/bticonfonts.png"></div>
			</div>
			<div class="mToolSep"></div>
			<div style="float:right;" id="editor_search_replace_bts">
				<div class="popupBt mToolButton" data-onclick="fileManager.editor.execCommand('replace')"><img src="/manager/pic/bticonreplace.png"></div>
				<div class="popupBt mToolButton" data-onclick="fileManager.editor.execCommand('find')"><img src="/manager/pic/bticonsearch.png"></div>
			</div>
			<br style="clear:both">
		</div>

		<div id="fm_editorText"></div>

		<div id="fm_editorLoading"><img style="float:left; margin-right:4px;" src="/manager/pic/loader.gif">&nbsp;Loading</div>
	</div>

</div>

<div id="statusBrowser">
	<div id="sb_toolbar" class="toolbar">
		<div class="toolbarAppIcon"><img src="/manager/pic/appiconsbd.png"></div>
		<div id="sb_toolbarHeader" class="toolbarHeader" onselectstart="return false;">Status Browser</div>
		<div id="sb_toolbarAppsBt" class="mToolButton" data-onclick="manager.showAppsPopup(true)"><img class="icon" src="/manager/pic/ticonapps.png"></div>
	</div>

	<div id="sb_panel">
		<div id="sb_topPanel" class="tabs">
			<div id="sb_ioBt" class="bt mTextButton" data-onclick="statusBrowser.selectTab('io')">I/O Datapoints</div>
			<div id="sb_uiBt" class="bt mTextButton" data-onclick="statusBrowser.selectTab('ui')">UI Attributes</div>
			<div id="sb_varsBt" class="bt mTextButton" data-onclick="statusBrowser.selectTab('vars')">Variables</div>
		</div>
		<div id="sb_viewPanel">
			<div id="sb_container">
				<div id="sb_io"></div>
				<div id="sb_ui"></div>
				<div id="sb_vars"></div>
			</div>
		</div>
		<div id="sb_bottomPanel">
			<div id="sb_pauseBt" class="popupBt mToolButton" data-onclick="statusBrowser.togglePause()"><img class="icon" src="/manager/pic/loaderg.gif"><span>pause</span></div>
			<div class="mToolSep" style="float:left"></div>
			<div id="sb_sessionDataBt" class="popupBt mToolButton" data-onclick="statusBrowser.toggleSessionData()"><img class="icon" style="display:none" src="/manager/pic/bticoncheck.png"><img class="icon" src="/manager/pic/bticonchecko.png"><span>show session data</span></div>

			<div id="sb_filterField" class="stdInput" style="float:right; width:250px; padding:0; height:25px;">
				<input id="sb_filter" name="v" class="inner" type="text" value="" onchange="statusBrowser.updateFilter()" onkeyup="statusBrowser.updateFilter()" onfocus="focusMe(this)" onblur="blurMe(this)">
				<div class="mIconButton" style="float:right; padding:4px" data-onclick="statusBrowser.updateFilter('')"><img src="/manager/pic/bticonclose.png"></div>
			</div>

			<div id="sb_filterModeBt" class="popupBt mToolButton" data-onclick="statusBrowser.toggleFilter()"><img class="icon" src="/manager/pic/bticonsearch.png"><span>search:</span></div>
		</div>
	</div>
</div>

<div id="logViewer">

	<div id="lv_toolbar" class="toolbar">
		<div class="toolbarAppIcon"><img src="/manager/pic/appiconlvd.png"></div>
		<div id="lv_toolbarHeader" class="toolbarHeader" onselectstart="return false;">Log Viewer</div>
		<div id="lv_toolbarAppsBt" class="mToolButton" data-onclick="manager.showAppsPopup(true)"><img class="icon" src="/manager/pic/ticonapps.png"></div>
	</div>

	<div id="lv_logPanel">
		<div id="lv_topPanel">
			<div id="lv_container">
				<div id="lv_log"></div>
			</div>
		</div>
		<div id="lv_bottomPanel">
			<div id="lv_pauseBt" class="popupBt mToolButton" data-onclick="logViewer.togglePause()"><img class="icon" src="/manager/pic/loaderg.gif"><span>pause</span></div>
			<div id="lv_clearBt" class="popupBt mToolButton" data-onclick="logViewer.clear()"><img class="icon" src="/manager/pic/bticonclear.png"><span>clear</span></div>
			<div class="mToolSep" style="float:left"></div>
			<div id="lv_verboseModeBt" class="popupBt mToolButton" data-onclick="logViewer.toggleLevel('verbose')"><img class="icon" style="display:none" src="/manager/pic/bticoncheck.png"><img class="icon" src="/manager/pic/bticonchecko.png"><span>verbose</span></div>
			<div id="lv_eventsModeBt" class="popupBt mToolButton" data-onclick="logViewer.toggleLevel('events')"><img class="icon" style="display:none" src="/manager/pic/bticoncheck.png"><img class="icon" src="/manager/pic/bticonchecko.png"><span>events</span></div>
			<div id="lv_userModeBt" class="popupBt mToolButton" data-onclick="logViewer.toggleLevel('user')"><img class="icon" style="display:none" src="/manager/pic/bticoncheck.png"><img class="icon" src="/manager/pic/bticonchecko.png"><span>user</span></div>
			<div class="mToolSep" style="float:left"></div>

			<div id="lv_filterField" class="stdInput" style="float:right; width:250px; padding:0; height:25px;">
				<input id="lv_filter" name="v" class="inner" type="text" value="" onchange="logViewer.updateFilter()" onkeyup="logViewer.updateFilter()" onfocus="focusMe(this)" onblur="blurMe(this)">
				<div class="mIconButton" style="float:right; padding:4px" data-onclick="logViewer.updateFilter('')"><img src="/manager/pic/bticonclose.png"></div>
			</div>

			<div id="lv_filterModeBt" class="popupBt mToolButton" data-onclick="logViewer.toggleFilter()"><img class="icon" src="/manager/pic/bticonsearch.png"><span>search:</span></div>
		</div>
	</div>

</div>

<div id="systemMonitor">
	<div id="sm_error" class="transparentPanel">
		A SYSTEM I/O server must be defined to show system status parameters.
	</div>

	<div id="sm_frame" class="transparentPanel">
		<div class="label">System Boot time:</div>
		<div name="boot.time" class="value">&nbsp;</div>

		<br>

		<div class="label">HSYCO Start time:</div>
		<div name="start.time" class="value">&nbsp;</div>

		<br>
		<hr class="sep">

		<div class="label short">Disk:</div>
		<div class="label short">Free Space</div>
		<div class="label short">&nbsp;</div>
		<div name="disk.errors.label" class="label short">Errors</div>

		<div class="value short">&nbsp;</div>
		<div name="disk.free.percent" class="value short">&nbsp;</div>
		<div class="value short">&nbsp;</div>
		<div name="disk.errors.value" class="value short">&nbsp;</div>

		<br>

		<div class="label short">Memory:</div>
		<div class="label short">Used</div>
		<div class="label short">Free</div>
		<div class="label short">Max</div>

		<br>

		<div class="value short">&nbsp;</div>
		<div name="memory.used" class="value short">&nbsp;</div>
		<div name="memory.free" class="value short">&nbsp;</div>
		<div name="memory.max" class="value short">&nbsp;</div>

		<br>
		<hr class="sep">

		<div class="label short">CPU:</div>
		<div class="label short">Busy</div>
		<div class="label short">Load 1m</div>
		<div class="label short">Load 5m</div>

		<br>

		<div class="value short">&nbsp;</div>
		<div name="cpu.usage" class="value short">&nbsp;</div>
		<div name="load.avg.1" class="value short">&nbsp;</div>
		<div name="load.avg.5" class="value short">&nbsp;</div>

		<br>
		<hr class="sep">

		<div class="label short">Faults:</div>
		<div class="label short">Console</div>
		<div class="label short">&nbsp;</div>
		<div class="label short">Internet</div>

		<br>

		<div class="value short">&nbsp;</div>
		<div name="console.errors" class="value short">&nbsp;</div>
		<div class="value short">&nbsp;</div>
		<div name="internet.connection" class="value short">&nbsp;</div>

		<br>

		<div class="label short">&nbsp;</div>
		<div class="label short">Cameras</div>
		<div class="label short">&nbsp;</div>
		<div class="label short">I/O Servers</div>

		<br>

		<div class="value short">&nbsp;</div>
		<div name="camera.errors" class="value short">&nbsp;</div>
		<div class="value short">&nbsp;</div>
		<div name="io.errors" class="value short">&nbsp;</div>

		<br>
		<hr class="sep">

		<div class="label short">Messages:</div>
		<div name="messages" class="value wide messages"></div>
	</div>

	<div id="sm_toolbar" class="toolbar">
		<div class="toolbarAppIcon"><img src="/manager/pic/appiconsmd.png"></div>
		<div id="sm_toolbarHeader" class="toolbarHeader" onselectstart="return false;">System Monitor</div>
		<div id="sm_toolbarAppsBt" class="mToolButton" data-onclick="manager.showAppsPopup(true)"><img class="icon" src="/manager/pic/ticonapps.png"></div>
	</div>
</div>

<div id="clientApplication">
	<div id="ca_toolbar" class="toolbar">
		<div name="title_se">
			<div class="toolbarAppIcon"><img src="/manager/pic/appiconsed.png"></div>
			<div id="ca_toolbarHeader" class="toolbarHeader" onselectstart="return false;">System Settings</div>
		</div>
		<div name="title_ad">
			<div class="toolbarAppIcon"><img src="/manager/pic/appiconadd.png"></div>
			<div id="ca_toolbarHeader" class="toolbarHeader" onselectstart="return false;">Admin</div>
		</div>
		<div name="title_we">
			<div class="toolbarAppIcon"><img src="/manager/pic/appiconwed.png"></div>
			<div id="ca_toolbarHeader" class="toolbarHeader" onselectstart="return false;">Wiring Editor</div>
		</div>
		<div name="title_st">
			<div class="toolbarAppIcon"><img src="/manager/pic/appiconstd.png"></div>
			<div id="ca_toolbarHeader" class="toolbarHeader" onselectstart="return false;">Tunnel Utility</div>
		</div>
		<div name="title_ku">
			<div class="toolbarAppIcon"><img src="/manager/pic/appiconkud.png"></div>
			<div id="ca_toolbarHeader" class="toolbarHeader" onselectstart="return false;">KNX Utility</div>
		</div>
		<div name="title_bu">
			<div class="toolbarAppIcon"><img src="/manager/pic/appiconbud.png"></div>
			<div id="ca_toolbarHeader" class="toolbarHeader" onselectstart="return false;">BACnet Utility</div>
		</div>
		<div name="title_hu">
			<div class="toolbarAppIcon"><img src="/manager/pic/appiconhud.png"></div>
			<div id="ca_toolbarHeader" class="toolbarHeader" onselectstart="return false;">Heos Utility</div>
		</div>
		<div name="title_lo">
			<div class="toolbarAppIcon"><img src="/manager/pic/appiconlod.png"></div>
			<div id="ca_toolbarHeader" class="toolbarHeader" onselectstart="return false;">LoRaWAN Utility</div>
		</div>
		<div name="title_mu">
			<div class="toolbarAppIcon"><img src="/manager/pic/appiconmud.png"></div>
			<div id="ca_toolbarHeader" class="toolbarHeader" onselectstart="return false;">Modbus Utility</div>
		</div>
		<div id="ca_toolbarAppsBt" class="mToolButton" data-onclick="manager.showAppsPopup(true)"><img class="icon" src="/manager/pic/ticonapps.png"></div>
	</div>

	<div id="client_container"></div>
</div>

<!--
 -->
<div id="popupArea">
	<div id="toolbarPopups">
		<div id="pe_editPopup">
			<div class="inner">
				<div id="snapButton" class="mButton" data-onclick="projectEditor.setSnap(this)">
					<img class="icon" src="/manager/pic/bticoncheck.png">
					<img class="icon" style="display:none" src="/manager/pic/bticonchecko.png">
					<span>snap</snap>
				</div>

				<div id="moveUpButton" class="mButton" data-onclick="projectEditor.moveZ(1)">
					<img src="/manager/pic/bticonup.png">
					<span>bring forward</span>
				</div>

				<div id="moveDownButton" class="mButton" data-onclick="projectEditor.moveZ(-1)">
					<img src="/manager/pic/bticondown.png">
					<span>send backward</span>
				</div>

				<div id="hideButton" class="mButton" data-onclick="projectEditor.showSelObjs()">
					<img src="/manager/pic/bticonhide.png">
					<span>hide</span>
				</div>

				<div class="mButton" data-onclick="projectEditor.unhideAll()">
					<img src="/manager/pic/bticonshow.png">
					<span>unhide all</span>
				</div>

				<div id="selectButtonPe" class="mButton" data-onclick="projectEditor.toggleSelMode()">
					<img class="icon" src="/manager/pic/bticoncheck.png">
					<img class="icon" style="display:none" src="/manager/pic/bticonchecko.png">
					<span>select</span>
				</div>

				<div id="pasteButton" class="mButton" data-onclick="projectEditor.pasteObjs()">
					<img src="/manager/pic/bticonpaste.png">
					<span>paste</span>
				</div>

				<div id="sourceButton" class="mButton" data-onclick="projectEditor.showSourcePopup()">
					<img src="/manager/pic/bticonsource.png">
					<span>source</span>
				</div>

				<div id="undoButton" class="mButton" data-onclick="projectEditor.undo()">
					<img src="/manager/pic/bticonundo.png">
					<span>undo</span>
				</div>

				<div class="alignBts">
					<div id="alignLeftButton" class="mButton" data-onclick="projectEditor.alignObjs('top')">
						<img src="/manager/pic/bticonaligntop.png">
					</div>
					<div id="alignLeftButton" class="mButton" data-onclick="projectEditor.alignObjs('bottom')">
						<img src="/manager/pic/bticonalignbottom.png">
					</div>
					<div id="alignLeftButton" class="mButton" data-onclick="projectEditor.alignObjs('left')">
						<img src="/manager/pic/bticonalignleft.png">
					</div>
					<div id="alignLeftButton" class="mButton" data-onclick="projectEditor.alignObjs('right')">
						<img src="/manager/pic/bticonalignright.png">
					</div>
					<div id="alignLeftButton" class="mButton" data-onclick="projectEditor.alignObjs('middle-x')">
						<img src="/manager/pic/bticonalignmidx.png">
					</div>
					<div id="alignLeftButton" class="mButton" data-onclick="projectEditor.alignObjs('middle-y')">
						<img src="/manager/pic/bticonalignmidy.png">
					</div>
					<div id="alignLeftButton" class="mButton" data-onclick="projectEditor.alignObjs('center-x')">
						<img src="/manager/pic/bticoncenterx.png">
					</div>
					<div id="alignLeftButton" class="mButton" data-onclick="projectEditor.alignObjs('center-y')">
						<img src="/manager/pic/bticoncentery.png">
					</div>
					<div id="alignLeftButton" class="mButton" data-onclick="projectEditor.alignObjs('space-x')">
						<img src="/manager/pic/bticonspacex.png">
					</div>
					<div id="alignLeftButton" class="mButton" data-onclick="projectEditor.alignObjs('space-y')">
						<img src="/manager/pic/bticonspacey.png">
					</div>
				</div>

			</div>
		</div>

		<div id="pe_warningsPopup">
			<span>Errors:</span>
			<img id="pe_warningsLoading" style="float:right" src="/manager/pic/loader.gif">
			<div id="pe_warnings" name="w" style="overflow:auto">
			</div>
		</div>

		<div id="fm_editPopup">
			<div class="mButton" data-onclick="fileManager.showLogPreview()">
				<img src="/manager/pic/bticonsource.png">
				<span>log preview</span>
			</div>
			<div id="downloadBackupButton" class="mButton" data-onclick="fileManager.downloadBackup()">
				<img src="/manager/pic/bticondownload.png">
				<span>download root backup</span>
			</div>
			<div id="selectButtonFm" class="mButton" data-onclick="fileManager.toggleSelMode()">
				<img class="icon" src="/manager/pic/bticoncheck.png">
				<img class="icon" style="display:none" src="/manager/pic/bticonchecko.png">
				<span>select</span>
			</div>
			<div id="toggleCommentButton" class="mButton" data-onclick="fileManager.toggleComment()">
				<img src="/manager/pic/bticonsource.png">
				<span>toggle comment</span>
			</div>
			<div id="codeAssistButton" class="mButton" data-onclick="fileManager.setAutocomplete(this)">
				<img class="icon" src="/manager/pic/bticoncheck.png">
				<img class="icon" style="display:none" src="/manager/pic/bticonchecko.png">
				<span>code assist</span>
			</div>
		</div>

		<div id="fm_warningsPopup">
			<span>Errors:</span>
			<img id="fm_warningsLoading" style="float:right" src="/manager/pic/loader.gif">
			<div id="fm_warnings" name="w" style="overflow:auto">
			</div>
		</div>

		<div id="toolbarArrow"><img class="arrow" src="/manager/pic/toolbararrow.png"></div>
	</div>

	<div id="popupAreaContents">
		<div id="popupBg" onclick="return false;" ontouchstart="return false;"></div>
		<div id="popupFrame"></div>


		<!-- login -->

		<div id="popup-login" class="popupContent" style="width:316px">
			<div class="header">
				<span>Manager Login</span>
				<div name="closeBt" class="popupBt mToolButton" data-onclick="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>

			<div class="content">
				<div id="l_loginLabel"></div>
				<div id="l_loginCode"></div>
				<div id="l_loginKeypad">
					<div id="l_login3Bt" class="mButton" style="margin:4px;" data-onclick="login.onButton('3')"><div>3</div></div>
					<div id="l_login2Bt" class="mButton" style="margin:4px;" data-onclick="login.onButton('2')"><div>2</div></div>
					<div id="l_login1Bt" class="mButton" style="margin:4px;" data-onclick="login.onButton('1')"><div>1</div></div>

					<div id="l_login6Bt" class="mButton" style="margin:4px;" data-onclick="login.onButton('6')"><div>6</div></div>
					<div id="l_login5Bt" class="mButton" style="margin:4px;" data-onclick="login.onButton('5')"><div>5</div></div>
					<div id="l_login4Bt" class="mButton" style="margin:4px;" data-onclick="login.onButton('4')"><div>4</div></div>

					<div id="l_login9Bt" class="mButton" style="margin:4px;" data-onclick="login.onButton('9')"><div>9</div></div>
					<div id="l_login8Bt" class="mButton" style="margin:4px;" data-onclick="login.onButton('8')"><div>8</div></div>
					<div id="l_login7Bt" class="mButton" style="margin:4px;" data-onclick="login.onButton('7')"><div>7</div></div>

					<div id="l_loginOkBt" class="mButton" style="margin:4px;" data-onclick="login.onButton('k')"><div>OK</div></div>
					<div id="l_login0Bt" class="mButton" style="margin:4px;" data-onclick="login.onButton('0')"><div>0</div></div>
					<div id="l_loginCBt" class="mButton" style="margin:4px;" data-onclick="login.onButton('c')"><div><img width="27" height="27" src="/manager/pic/iconbackspace.png"></div></div>
					<br style="clear:both">
				</div>
			</div>
		</div>

		<!-- app switch -->

		<div id="popup-appswitch" class="popupContent" style="width:370px">
			<div class="header">
				<span>Manager Tools</span>
				<div name="closeBt" class="popupBt mToolButton" data-onclick="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>

			<div class="content">
				<div name="content">
					<div name="seAppBt" class="mAppButton" data-onclick="manager.switchApp('se')">
						<div class="iconContainer">
							<img class="icon" src="/manager/pic/appiconse.png">
							<img class="iconDown" src="/manager/pic/appiconsed.png">
							<img class="iconOver" src="/manager/pic/empty.png">
						</div>
						<div>Settings</div>
					</div>
					<div name="adAppBt" class="mAppButton" data-onclick="manager.switchApp('ad')">
						<div class="iconContainer">
							<img class="icon" src="/manager/pic/appiconad.png">
							<img class="iconDown" src="/manager/pic/appiconadd.png">
							<img class="iconOver" src="/manager/pic/empty.png">
						</div>
						<div>Admin</div>
					</div>
					<div name="weAppBt" class="mAppButton" data-onclick="manager.switchApp('we')">
						<div class="iconContainer">
							<img class="icon" src="/manager/pic/appiconwe.png">
							<img class="iconDown" src="/manager/pic/appiconwed.png">
							<img class="iconOver" src="/manager/pic/empty.png">
						</div>
						<div>Wiring Editor</div>
					</div>
					<div name="peAppBt" class="mAppButton" data-onclick="manager.switchApp('pe')">
						<div class="iconContainer">
							<img class="icon" src="/manager/pic/appiconpe.png">
							<img class="iconDown" src="/manager/pic/appiconped.png">
							<img class="iconOver" src="/manager/pic/empty.png">
						</div>
						<div>Project Editor</div>
					</div>
					<div name="fmAppBt" class="mAppButton" data-onclick="manager.switchApp('fm')">
						<div class="iconContainer">
							<img class="icon" src="/manager/pic/appiconfm.png">
							<img class="iconDown" src="/manager/pic/appiconfmd.png">
							<img class="iconOver" src="/manager/pic/empty.png">
						</div>
						<div>File Manager</div>
					</div>
					<div name="sbAppBt" class="mAppButton" data-onclick="manager.switchApp('sb')">
						<div class="iconContainer">
							<img class="icon" src="/manager/pic/appiconsb.png">
							<img class="iconDown" src="/manager/pic/appiconsbd.png">
							<img class="iconOver" src="/manager/pic/empty.png">
						</div>
						<div>Status Browser</div>
					</div>
					<div name="lvAppBt" class="mAppButton" data-onclick="manager.switchApp('lv')">
						<div class="iconContainer">
							<img class="icon" src="/manager/pic/appiconlv.png">
							<img class="iconDown" src="/manager/pic/appiconlvd.png">
							<img class="iconOver" src="/manager/pic/empty.png">
						</div>
						<div>Log Viewer</div>
					</div>
					<div name="smAppBt" class="mAppButton" data-onclick="manager.switchApp('sm')">
						<div class="iconContainer">
							<img class="icon" src="/manager/pic/appiconsm.png">
							<img class="iconDown" src="/manager/pic/appiconsmd.png">
							<img class="iconOver" src="/manager/pic/empty.png">
						</div>
						<div>System Monitor</div>
					</div>
					<div name="kuAppBt" class="mAppButton" data-onclick="manager.switchApp('ku')">
						<div class="iconContainer">
							<img class="icon" src="/manager/pic/appiconku.png">
							<img class="iconDown" src="/manager/pic/appiconkud.png">
							<img class="iconOver" src="/manager/pic/empty.png">
						</div>
						<div>KNX Utility</div>
					</div>
					<div name="buAppBt" class="mAppButton" data-onclick="manager.switchApp('bu')">
						<div class="iconContainer">
							<img class="icon" src="/manager/pic/appiconbu.png">
							<img class="iconDown" src="/manager/pic/appiconbud.png">
							<img class="iconOver" src="/manager/pic/empty.png">
						</div>
						<div>Bacnet Utility</div>
					</div>
					<div name="huAppBt" class="mAppButton" data-onclick="manager.switchApp('hu')">
						<div class="iconContainer">
							<img class="icon" src="/manager/pic/appiconhu.png">
							<img class="iconDown" src="/manager/pic/appiconhud.png">
							<img class="iconOver" src="/manager/pic/empty.png">
						</div>
						<div>Heos Utility</div>
					</div>
					<div name="loAppBt" class="mAppButton" data-onclick="manager.switchApp('lo')">
						<div class="iconContainer">
							<img class="icon" src="/manager/pic/appiconlo.png">
							<img class="iconDown" src="/manager/pic/appiconlod.png">
							<img class="iconOver" src="/manager/pic/empty.png">
						</div>
						<div>LoRaWAN Utility</div>
					</div>
					<div name="muAppBt" class="mAppButton" data-onclick="manager.switchApp('mu')">
						<div class="iconContainer">
							<img class="icon" src="/manager/pic/appiconmu.png">
							<img class="iconDown" src="/manager/pic/appiconmud.png">
							<img class="iconOver" src="/manager/pic/empty.png">
						</div>
						<div>Modbus Utility</div>
					</div>
					<div name="stAppBt" class="mAppButton" data-onclick="manager.switchApp('st')">
						<div class="iconContainer">
							<img class="icon" src="/manager/pic/appiconst.png">
							<img class="iconDown" src="/manager/pic/appiconstd.png">
							<img class="iconOver" src="/manager/pic/empty.png">
						</div>
						<div>Tunnel Utility</div>
					</div>
					<div name="sep1">
						<div class="dash" style="clear:both"></div>
						<div class="spacer"></div>
					</div>
					<div name="sep2">
						<div class="dash" style="clear:both"></div>
						<div class="spacer"></div>
					</div>
					<div name="sep3">
						<div class="dash" style="clear:both"></div>
						<div class="spacer"></div>
					</div>
					<div name="sep4">
						<div class="dash" style="clear:both"></div>
						<div class="spacer"></div>
					</div>
				</div>
				<div name="backBt" class="mToolButton" data-onclick="manager.backToReferrer()" style="float:left"><span>back</span></div>
				<div class="mToolButton" data-onclick="manager.openPopup('about')" style="float:left"><span>about</span></div>
				<div class="mToolButton" data-onclick="files.load('lock')"><img class="icon" src="/manager/pic/ticonlock.png"><span>lock</span></div>
				<div class="mToolButton" data-onclick="files.load('logout')"><img class="icon" src="/manager/pic/ticonlogout.png"><span>logout</span></div>
			</div>

			<div class="spacer"></div>
		</div>

		<!-- general -->

		<div id="popup-about" class="popupContent" style="width:220px">
			<div class="header">
				<span>About HSYCO</span>
				<div name="closeBt" class="popupBt mToolButton" data-onclick="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>

			<div class="content">
				<div name="e" class="label" style="text-align:center; width:204px">
				HSYCO<br>
				<script>document.write(JSONConfig.hsycoconfig.version)</script><br>
				<br>
				Copyright 2007-2019<br>
				HSYCO S.r.l.<br>
				All rights reserved.<br>
				</div>
				<div class="spacer"></div>
				<div class="spacer"></div>
				<div class="field">
					<div class="mButton" data-onclick="manager.closePopup()">
						<img src="/manager/pic/bticoncheck.png">
						<span>ok</span>
					</div>
					<br style="clear:both">
				</div>
			</div>

			<div class="spacer"></div>
		</div>

		<div id="popup-error" class="popupContent">
			<div class="header">
				<span>Error</span>
				<div name="closeBt" class="popupBt mToolButton" data-onclick="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>

			<div class="content">
				<div name="e" class="label"></div>
				<div class="spacer"></div>
				<div class="spacer"></div>
				<div class="field">
					<div class="mButton" data-onclick="manager.closePopup()">
						<img src="/manager/pic/bticoncheck.png">
						<span>continue</span>
					</div>
					<br style="clear:both">
				</div>
			</div>

			<div class="spacer"></div>
		</div>

		<div id="popup-loading" class="popupContent">
			<div class="header">
				<span>Loading</span>
				<div name="closeBt" class="popupBt mToolButton" data-onclick="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>

			<div class="spacer"></div>

			<div class="content">
				<div name="e" class="label"><img style="float:left; margin-right:4px;" src="/manager/pic/loaderg.gif">&nbsp;Loading content</div>
			</div>

			<div class="spacer"></div>
			<div class="spacer"></div>
		</div>

		<div id="popup-saving" class="popupContent">
			<div class="header">
				<span>Saving</span>
				<div name="closeBt" class="popupBt mToolButton" data-onclick="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>

			<div class="spacer"></div>

			<div class="content">
				<div name="e" class="label"><img style="float:left; margin-right:4px;" src="/manager/pic/loaderg.gif">&nbsp;Saving content</div>
			</div>

			<div class="spacer"></div>
			<div class="spacer"></div>
		</div>

		<div id="popup-filerefresh" class="popupContent">
			<div class="header">
				<span>File Changed</span>
				<div name="closeBt" class="popupBt mToolButton" data-onclick="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>

			<div class="content">
				<div name="e" class="label">The file you're editing has been changed. Do you want to replace the editor contents with these changes?</div>
				<div class="spacer"></div>
				<div class="spacer"></div>
				<div class="field">
					<div class="mButton" style="width:80px" data-onclick="manager.closePopup()">
						<img src="/manager/pic/bticonclose.png">
						<span>no</span>
					</div>
					<div class="mButton" style="width:80px; margin-right:5px;" data-onclick="timestampChecker.onRefresh()">
						<img src="/manager/pic/bticoncheck.png">
						<span>yes</span>
					</div>
					<br style="clear:both">
				</div>
			</div>
		</div>

		<div id="popup-waitrestart" class="popupContent">
			<div class="header">
				<span>Restart</span>
				<div name="closeBt" class="popupBt mToolButton" data-onclick="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>

			<div class="content">
				<div name="e" class="label">The server is restarting, please wait...</div>
				<div class="spacer"></div>
			</div>

			<div class="spacer"></div>
		</div>

		<div id="popup-connecting" class="popupContent">
			<div class="header">
				<span>Connection Lost</span>
				<div name="closeBt" class="popupBt mToolButton" data-onclick="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>

			<div class="content">
				<div name="e" class="label">Server connection lost. Reconnecting...</div>
				<div class="spacer"></div>
			</div>

			<div class="spacer"></div>
		</div>

		<!-- pe -->

		<div id="popup-saveerror" class="popupContent">
			<div class="header">
				<span>Save</span>
				<div name="closeBt" class="popupBt mToolButton" data-onclick="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>

			<div class="content">
				<div name="e" class="label">There are some warnings. Save anyway?</div>
				<div class="spacer"></div>
				<div class="spacer"></div>
				<div class="field">
					<div class="mButton" style="width:80px" data-onclick="manager.closePopup()">
						<img src="/manager/pic/bticonclose.png">
						<span>cancel</span>
					</div>
					<div class="mButton" style="width:80px; margin-right:5px;" data-onclick="projectEditor.saveProject(true)">
						<img src="/manager/pic/bticoncheck.png">
						<span>save</span>
					</div>
					<br style="clear:both">
				</div>
			</div>

			<div class="spacer"></div>
		</div>

		<div id="popup-cameravalues" class="popupContent" style="width:325px">
			<div class="header">
				<span></span>
				<div name="closeBt" class="popupBt mToolButton" data-onclick="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>

			<div class="content">
				<div class="spacer"></div>
				<div id="cameraValues" style="overflow:auto">
				</div>
				<div class="spacer"></div>
				<div class="field">
					<div class="mButton" data-onclick="projectEditor.confirmCameraValuesPopup()">
						<img src="/manager/pic/bticoncheck.png">
						<span>ok</span>
					</div>
					<br style="clear:both">
				</div>
			</div>

			<div class="spacer"></div>
		</div>

		<div id="popup-duplicatepage" class="popupContent">
			<div class="header">
				<span>Duplicate Page</span>
				<div name="closeBt" class="popupBt mToolButton" data-onclick="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>

			<div class="content">
				<div class="label">New ID:</div>
				<div class="spacer"></div>
				<div class="field">
					<input name="n" class="stdInput" type="text" style="width:180px" onfocus="focusMe(this)" onblur="blurMe(this)">
					<br style="clear:both">
				</div>
				<div class="spacer"></div>
				<div class="field">
					<div class="mButton" data-onclick="projectEditor.cloneActivePage()">
						<img src="/manager/pic/bticonclone.png">
						<span>duplicate page</span>
					</div>
					<br style="clear:both">
				</div>
			</div>

			<div class="spacer"></div>
		</div>

		<div id="popup-duplicateproject" class="popupContent">
			<div class="header">
				<span>Duplicate Project</span>
				<div name="closeBt" class="popupBt mToolButton" data-onclick="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>

			<div class="content">
				<div class="label">New Name:</div>
				<div class="spacer"></div>
				<div class="field">
					<input name="n" class="stdInput" type="text" style="width:180px" onfocus="focusMe(this)" onblur="blurMe(this)">
					<br style="clear:both">
				</div>
				<div class="fieldR">
					<input style="margin-left:20px;" id="cloneprojectsavefirst" name="s" type="checkbox" checked="checked" onfocus="focusMe(this)" onblur="blurMe(this)">
					<label class="labelR">Save before duplicating</label>
				</div>
				<br style="clear:both">
				<br style="clear:both">
				<div class="field">
					<div class="mButton" data-onclick="projectEditor.cloneProject()">
						<img src="/manager/pic/bticonclone.png">
						<span>duplicate project</span>
					</div>
					<br style="clear:both">
				</div>
			</div>

			<div class="spacer"></div>
		</div>

		<div id="popup-deleteproject" class="popupContent">
			<div class="header">
				<span>Delete Project</span>
				<div name="closeBt" class="popupBt mToolButton" data-onclick="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>

			<div class="content">
				<div name="e" class="label">Are you sure you want to delete this project?</div>
				<div class="spacer"></div>
				<div class="spacer"></div>
				<div class="field">
					<div class="mButton" style="width:80px" data-onclick="manager.closePopup()">
						<img src="/manager/pic/bticonclose.png">
						<span>no</span>
					</div>
					<div class="mButton" style="width:80px; margin-right:5px;" data-onclick="projectEditor.delProject(true)">
						<img src="/manager/pic/bticoncheck.png">
						<span>yes</span>
					</div>
					<br style="clear:both">
				</div>
			</div>

			<div class="spacer"></div>
		</div>

		<div id="popup-confirmloadproject" class="popupContent">
			<div class="header">
				<span>Load Project</span>
				<div name="closeBt" class="popupBt mToolButton" data-onclick="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>

			<div class="content">
				<div name="e" class="label">Are you sure you want to load another project? Current changes will be lost!</div>
				<div class="spacer"></div>
				<div class="spacer"></div>
				<div class="field">
					<div class="mButton" style="width:80px" data-onclick="manager.closePopup()">
						<img src="/manager/pic/bticonclose.png">
						<span>no</span>
					</div>
					<div class="mButton" style="width:80px; margin-right:5px;" data-onclick="projectEditor.confirmProjectLoad()">
						<img src="/manager/pic/bticoncheck.png">
						<span>yes</span>
					</div>
					<br style="clear:both">
				</div>
			</div>

			<div class="spacer"></div>
		</div>

		<div id="popup-choosefile" class="popupContent" style="width:650px">
			<div class="header">
				<span></span><!--  set by js -->
				<div name="closeBt" class="popupBt mToolButton" data-onclick="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>

			<div class="content">
				<div id="fm_dirsPPanel">
					<div id="fm_dirsPPath" class="fm_dirsPath"></div>
					<div id="fm_dirsPOptions" class="fm_dirsOptions">
						<div id="fm_dirsPParentBt" class="mButton" style="float:left; display:none;" data-onclick="fileManager.parentFolder()">
							<img src="/manager/pic/bticonparent.png">
							<span>parent folder</span>
						</div>
						<div id="fm_dirsPNewFolderBt" class="mButton" style="margin-left:4px;" data-onclick="fileManager.openNewFolderPopup()">
							<img src="/manager/pic/bticonfolder.png">
							<span>new folder</span>
						</div>
						<div id="fm_dirsPUploadBt" class="mButton" data-onclick="fileManager.openUploadPopup()">
							<img src="/manager/pic/bticonupload.png">
							<span>upload files</span>
						</div>
					</div>

					<div id="fm_dirsPHeader" class="fm_dirsHeader">
						<div class="name">File Name</div>
						<div class="size">Size</div>
					</div>

					<div class="dash"></div>
					<div id="fm_dirsPContent" class="fm_dirsContent" onmouseup="fileManager.onDirsClick(event,this)"></div>
					<div class="dash"></div>

					<div id="fm_dirsPLoading" class="fm_dirsLoading">
						<div id="fm_dirsPLoadingLabel" class="fm_dirsLoadingLabel"><img style="float:left; margin-right:4px;" src="/manager/pic/loader.gif">&nbsp;Loading</div>
					</div>
				</div>

				<div id="fm_detailsPPanel">
					<div id="fm_detailsPContent">
						<div class="icon">
							<img id="fm_detailsPDirIcon" class="abso" src="/manager/pic/fmicondir.png">
							<img id="fm_detailsPFileIcon" class="abso" src="/manager/pic/fmiconfile.png">
							<img id="fm_detailsPFilesIcon" class="abso" src="/manager/pic/fmiconfiles.png">
							<div id="fm_detailsPTextPreview" class="text"></div>
							<img id="fm_detailsPFileIconOver" class="abso" src="/manager/pic/fmiconfileover.png">
							<div class="img">
								<img id="fm_detailsPImgPreview" src="/manager/pic/empty.png" onload="this.style.visibility='visible'">
							</div>
						</div>
						<div id="fm_detailsPLabel">
							<div class="line" id="fm_detailsPSel"><span id="fm_detailsPSelN">1</span> of <span id="fm_detailsPTot">1</span> selected</div>
							<div id="fm_detailsPName" class="line">
								<div class="a">Name</div>
								<div id="fm_detailsPNameV" class="b"></div>
								<br style="clear:both">
							</div>
							<div id="fm_detailsPKind" class="line">
								<div class="a">Kind</div>
								<div id="fm_detailsPKindV" class="b"></div>
								<br style="clear:both">
							</div>
							<div id="fm_detailsPSize" class="line">
								<div class="a">Size</div>
								<div id="fm_detailsPSizeV" class="b"></div>
								<br style="clear:both">
							</div>
						</div>
					</div>
				</div>

				<br style="clear:both">

				<div class="field">
					<div id="fm_dirsPConfirmBt" class="mButton" data-onclick="fileManager.confirmChooseFilePopup()">
						<img src="/manager/pic/bticoncheck.png">
						<span>ok</span>
					</div>
					<br style="clear:both">
				</div>
			</div>

			<div class="spacer"></div>
		</div>

		<div id="popup-css" class="popupContent" style="width:325px">
			<div class="header">
				<span>CSS Style</span>
				<div name="closeBt" class="popupBt mToolButton" data-onclick="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>

			<div class="content listPanel">
				<div class="field">
					<div class="spacer"></div>

					<div class="listPanelHeader">
						<span class="a">Attribute</span>
						<span class="b">Value</span>
					</div>

					<div class="dash"></div>
					<div id="cssListPanel" name="projectEditor.cssListPanel" class="listPanelContent">
						<div name="attr" class="item">
							<span class="selectIcon"><select tabindex="-1"></select></span>
							<span class="input"><input type="text" class="stdInput" onfocus="focusMe(this)" onblur="blurMe(this)" autocomplete="false"/></span>
							<span class="sep"></span>
							<span class="selectIcon"><select tabindex="-1"></select></span>
							<span class="input"><input type="text" class="stdInput" onfocus="focusMe(this)" onblur="blurMe(this)" autocomplete="false"/></span>
							<div class="popupBt mToolButton"><img src="/manager/pic/bticonbin.png"></div>
							<br style="clear:both">
						</div>
						<div name="add" class="add mItemButton" data-onclick="projectEditor.cssListPanel.add()">
							<span>add attribute</span><img style="float:right" src="/manager/pic/iconadd.png">
						</div>
					</div>
					<div class="dash"></div>
				</div>

				<div class="spacer"></div>

				<div class="field">
					<div class="mButton" data-onclick="projectEditor.confirmCSSPopup()">
						<img src="/manager/pic/bticoncheck.png">
						<span>ok</span>
					</div>
					<br style="clear:both">
				</div>
			</div>

			<div class="spacer"></div>
		</div>

		<div id="popup-projectstyle" class="popupContent" style="width:325px">
			<div class="header">
				<span>Project Style</span>
				<div name="closeBt" class="popupBt mToolButton" data-onclick="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>

			<div class="content listPanel">
				<div class="field">
					<div class="spacer"></div>

					<div class="listPanelHeader">
						<span class="a">Attribute</span>
						<span class="b">Value</span>
					</div>

					<div class="dash"></div>
					<div id="projectStyleListPanel" name="projectEditor.projectStyleListPanel" class="listPanelContent">
						<div name="attr" class="item">
							<span class="selectIcon"><select tabindex="-1"></select></span>
							<span class="input"><input type="text" class="stdInput" onfocus="focusMe(this)" onblur="blurMe(this)" autocomplete="false"/></span>
							<span class="sep"></span>
							<span class="selectIcon"><select tabindex="-1"></select></span>
							<span class="input"><input type="text" class="stdInput" onfocus="focusMe(this)" onblur="blurMe(this)" autocomplete="false"/></span>
							<div class="popupBt mToolButton"><img src="/manager/pic/bticonbin.png"></div>
							<br style="clear:both">
						</div>
						<div name="add" class="add mItemButton" data-onclick="projectEditor.projectStyleListPanel.add()">
							<span>add attribute</span><img style="float:right" src="/manager/pic/iconadd.png">
						</div>
					</div>
					<div class="dash"></div>
				</div>

				<div class="spacer"></div>

				<div class="field">
					<div class="mButton" data-onclick="projectEditor.confirmProjectStylePopup()">
						<img src="/manager/pic/bticoncheck.png">
						<span>ok</span>
					</div>
					<br style="clear:both">
				</div>
			</div>

			<div class="spacer"></div>
		</div>

		<div id="popup-gestures" class="popupContent" style="width:325px">
			<div class="header">
				<span>Gestures</span>
				<div name="closeBt" class="popupBt mToolButton" data-onclick="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>

			<div class="content listPanel">
				<div class="field">
					<div class="spacer"></div>

					<div class="listPanelHeader">
						<span class="a">Gesture</span>
						<span class="b">Action</span>
					</div>

					<div class="dash"></div>
					<div id="gesturesListPanel" name="projectEditor.gesturesListPanel" class="listPanelContent">
						<div name="attr" class="item">
							<span class="selectIcon"><select tabindex="-1"></select></span>
							<span class="input"><input type="text" class="stdInput" onfocus="focusMe(this)" onblur="blurMe(this)" autocomplete="false"/></span>
							<span class="sep"></span>
							<span class="selectIcon"><select tabindex="-1"></select></span>
							<span class="input"><input type="text" class="stdInput" onfocus="focusMe(this)" onblur="blurMe(this)" autocomplete="false"/></span>
							<div class="popupBt mToolButton"><img src="/manager/pic/bticonbin.png"></div>
							<br style="clear:both">
						</div>
						<div name="add" class="add mItemButton" data-onclick="projectEditor.gesturesListPanel.add()">
							<span>add attribute</span><img style="float:right" src="/manager/pic/iconadd.png">
						</div>
					</div>
					<div class="dash"></div>
				</div>

				<div class="spacer"></div>

				<div class="field">
					<div class="mButton" data-onclick="projectEditor.confirmGesturesPopup()">
						<img src="/manager/pic/bticoncheck.png">
						<span>ok</span>
					</div>
					<br style="clear:both">
				</div>
			</div>

			<div class="spacer"></div>
		</div>

		<div id="popup-chartattributes" class="popupContent" style="width:325px">
			<div class="header">
				<span>Chart Attributes</span>
				<div name="closeBt" class="popupBt mToolButton" data-onclick="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>

			<div class="content listPanel">
				<div class="field">
					<div class="spacer"></div>

					<div class="listPanelHeader">
						<span class="a">Attribute</span>
						<span class="b">Value</span>
					</div>

					<div class="dash"></div>
					<div id="chartAttributesListPanel" name="projectEditor.chartAttributesListPanel" class="listPanelContent">
						<div name="attr" class="item">
							<span class="selectIcon"><select tabindex="-1"></select></span>
							<span class="input"><input type="text" class="stdInput" onfocus="focusMe(this)" onblur="blurMe(this)" autocomplete="false"/></span>
							<span class="sep"></span>
							<span class="selectIcon"><select tabindex="-1"></select></span>
							<span class="input"><input type="text" class="stdInput" onfocus="focusMe(this)" onblur="blurMe(this)" autocomplete="false"/></span>
							<div class="popupBt mToolButton"><img src="/manager/pic/bticonbin.png"></div>
							<br style="clear:both">
						</div>
						<div name="add" class="add mItemButton" data-onclick="projectEditor.chartAttributesListPanel.add()">
							<span>add attribute</span><img style="float:right" src="/manager/pic/iconadd.png">
						</div>
					</div>
					<div class="dash"></div>
				</div>

				<div class="spacer"></div>

				<div class="field">
					<div class="mButton" data-onclick="projectEditor.confirmChartAttributesPopup()">
						<img src="/manager/pic/bticoncheck.png">
						<span>ok</span>
					</div>
					<br style="clear:both">
				</div>
			</div>

			<div class="spacer"></div>
		</div>

		<div id="popup-uiset" class="popupContent" style="width:325px">
			<div class="header">
				<span>UISet</span>
				<div name="closeBt" class="popupBt mToolButton" data-onclick="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>

			<div class="content listPanel">
				<div class="field">
					<div class="spacer"></div>

					<div class="listPanelHeader">
						<span class="a">Attribute</span>
						<span class="b">Value</span>
					</div>

					<div class="dash"></div>
					<div id="uiSetListPanel" name="projectEditor.uiSetListPanel" class="listPanelContent">
						<div name="attr" class="item">
							<span class="selectIcon"><select tabindex="-1"></select></span>
							<span class="input"><input type="text" class="stdInput" onfocus="focusMe(this)" onblur="blurMe(this)" autocomplete="false"/></span>
							<span class="sep"></span>
							<span class="selectIcon"><select tabindex="-1"></select></span>
							<span class="input"><input type="text" class="stdInput" onfocus="focusMe(this)" onblur="blurMe(this)" autocomplete="false"/></span>
							<div class="popupBt mToolButton"><img src="/manager/pic/bticonbin.png"></div>
							<br style="clear:both">
						</div>
						<div name="add" class="add mItemButton" data-onclick="projectEditor.uiSetListPanel.add()">
							<span>add attribute</span><img style="float:right" src="/manager/pic/iconadd.png">
						</div>
					</div>
					<div class="dash"></div>
				</div>

				<div class="spacer"></div>

				<div class="field">
					<div class="mButton" data-onclick="projectEditor.confirmUISetPopup()">
						<img src="/manager/pic/bticoncheck.png">
						<span>ok</span>
					</div>
					<br style="clear:both">
				</div>
			</div>

			<div class="spacer"></div>
		</div>

		<div id="popup-scope" class="popupContent" style="width:325px">
			<div class="header">
				<span>Scope</span>
				<div name="closeBt" class="popupBt mToolButton" data-onclick="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>

			<div class="content listPanel">
				<div class="field">
					<div class="spacer"></div>

					<div class="listPanelHeader">
						<span class="a">Scope</span>
					</div>

					<div class="dash"></div>
					<div id="scopeListPanel" name="projectEditor.scopeListPanel" class="listPanelContent">
						<div name="attr" class="item wide">
							<span class="input"><input type="text" class="stdInput" onfocus="focusMe(this)" onblur="blurMe(this)" autocomplete="false"/></span>
							<div class="popupBt mToolButton"><img src="/manager/pic/bticonbin.png"></div>
							<br style="clear:both">
						</div>
						<div name="add" class="add mItemButton" data-onclick="projectEditor.scopeListPanel.add()">
							<span>add attribute</span><img style="float:right" src="/manager/pic/iconadd.png">
						</div>
					</div>
					<div class="dash"></div>
				</div>

				<div class="spacer"></div>

				<div class="field">
					<div class="mButton" data-onclick="projectEditor.confirmScopePopup()">
						<img src="/manager/pic/bticoncheck.png">
						<span>ok</span>
					</div>
					<br style="clear:both">
				</div>
			</div>

			<div class="spacer"></div>
		</div>

		<div id="popup-dataloggerattributes" class="popupContent" style="width:325px">
			<div class="header">
				<span>DataLogger Attributes</span>
				<div name="closeBt" class="popupBt mToolButton" data-onclick="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>

			<div class="content listPanel">
				<div class="field">
					<div class="spacer"></div>

					<div class="listPanelHeader">
						<span class="a">Attribute</span>
						<span class="b">Value</span>
					</div>

					<div class="dash"></div>
					<div id="dataLoggerAttributesListPanel" name="projectEditor.dataLoggerAttributesListPanel" class="listPanelContent">
						<div name="attr" class="item">
							<span class="selectIcon"><select tabindex="-1"></select></span>
							<span class="input"><input type="text" class="stdInput" onfocus="focusMe(this)" onblur="blurMe(this)" autocomplete="false"/></span>
							<span class="sep"></span>
							<span class="selectIcon"><select tabindex="-1"></select></span>
							<span class="input"><input type="text" class="stdInput" onfocus="focusMe(this)" onblur="blurMe(this)" autocomplete="false"/></span>
							<div class="popupBt mToolButton"><img src="/manager/pic/bticonbin.png"></div>
							<br style="clear:both">
						</div>
						<div name="add" class="add mItemButton" data-onclick="projectEditor.dataLoggerAttributesListPanel.add()">
							<span>add attribute</span><img style="float:right" src="/manager/pic/iconadd.png">
						</div>
					</div>
					<div class="dash"></div>
				</div>

				<div class="spacer"></div>

				<div class="field">
					<div class="mButton" data-onclick="projectEditor.confirmDataLoggerAttributesPopup()">
						<img src="/manager/pic/bticoncheck.png">
						<span>ok</span>
					</div>
					<br style="clear:both">
				</div>
			</div>

			<div class="spacer"></div>
		</div>

		<!-- fm -->

		<div id="popup-restart" class="popupContent">
			<div class="header">
				<span>Restart the server</span>
				<div name="closeBt" class="popupBt mToolButton" data-onclick="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>

			<div class="content">
				<div name="e" class="label">Are you sure you want to restart the server?</div>
				<div class="spacer"></div>
				<div class="spacer"></div>
				<div class="field">
					<div class="mButton" style="width:80px" data-onclick="manager.closePopup()">
						<img src="/manager/pic/bticonclose.png">
						<span>no</span>
					</div>
					<div class="mButton" style="width:80px; margin-right:5px;" data-onclick="manager.restartServer(true)">
						<img src="/manager/pic/bticoncheck.png">
						<span>yes</span>
					</div>
					<br style="clear:both">
				</div>
			</div>

			<div class="spacer"></div>
		</div>

		<div id="popup-newfolder" class="popupContent">
			<div class="header">
				<span>New Folder</span>
				<div name="closeBt" class="popupBt mToolButton" data-onclick="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>

			<div class="content">
				<div class="label">Folder name:</div>
				<div class="spacer"></div>
				<div class="field">
					<input name="n" class="stdInput" type="text" style="width:180px" onfocus="focusMe(this)" onblur="blurMe(this)">
					<br style="clear:both">
				</div>
				<div class="spacer"></div>
				<div class="field">
					<div class="mButton" data-onclick="fileManager.newFolder()">
						<img src="/manager/pic/bticonfolder.png">
						<span>new folder</span>
					</div>
					<br style="clear:both">
				</div>
			</div>

			<div class="spacer"></div>
		</div>

		<div id="popup-newfile" class="popupContent">
			<div class="header">
				<span>New File</span>
				<div name="closeBt" class="popupBt mToolButton" data-onclick="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>

			<div class="content">
				<div class="label">File name:</div>
				<div class="spacer"></div>
				<div class="field">
					<input name="n" class="stdInput" type="text" style="width:180px" onfocus="focusMe(this)" onblur="blurMe(this)">
					<br style="clear:both">
				</div>
				<div class="spacer"></div>
				<div class="field">
					<div class="mButton" data-onclick="fileManager.newFile()">
						<img src="/manager/pic/bticontextfile.png">
						<span>new file</span>
					</div>
					<br style="clear:both">
				</div>
			</div>

			<div class="spacer"></div>
		</div>

		<div id="popup-renamefile" class="popupContent">
			<div class="header">
				<span>Rename File</span>
				<div name="closeBt" class="popupBt mToolButton" data-onclick="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>

			<div class="content">
				<div class="label">File name:</div>
				<div class="spacer"></div>
				<div class="field">
					<input name="n" class="stdInput" type="text" style="width:180px" onfocus="focusMe(this)" onblur="blurMe(this)">
					<br style="clear:both">
				</div>
				<div class="spacer"></div>
				<div class="field">
					<div class="mButton" data-onclick="fileManager.renameFile()">
						<img src="/manager/pic/bticontextfile.png">
						<span>rename file</span>
					</div>
					<br style="clear:both">
				</div>
			</div>

			<div class="spacer"></div>
		</div>

		<div id="popup-deletefile" class="popupContent">
			<div class="header">
				<span>Delete</span>
				<div name="closeBt" class="popupBt mToolButton" data-onclick="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>

			<div class="content">
				<div name="e" class="label">Are you sure you want to delete?</div>
				<div class="spacer"></div>
				<div class="spacer"></div>
				<div class="field">
					<div class="mButton" style="width:80px" data-onclick="manager.closePopup()">
						<img src="/manager/pic/bticonclose.png">
						<span>no</span>
					</div>
					<div class="mButton" style="width:80px; margin-right:5px;" data-onclick="fileManager.deleteItems(true)">
						<img src="/manager/pic/bticoncheck.png">
						<span>yes</span>
					</div>
					<br style="clear:both">
				</div>
			</div>

			<div class="spacer"></div>
		</div>

		<div id="popup-overwritefiles" class="popupContent">
			<div class="header">
				<span>Overwrite</span>
				<div name="closeBt" class="popupBt mToolButton" data-onclick="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>

			<div class="content">
				<div name="e" class="label">One or more items already exist in the target folder. Overwrite them?</div>
				<div class="spacer"></div>
				<div class="spacer"></div>
				<div class="field">
					<div class="mButton" style="width:80px" data-onclick="manager.closePopup()">
						<img src="/manager/pic/bticonclose.png">
						<span>no</span>
					</div>
					<div class="mButton" style="width:80px; margin-right:5px;" data-onclick="fileManager.confirmOverwrite(true)">
						<img src="/manager/pic/bticoncheck.png">
						<span>yes</span>
					</div>
					<br style="clear:both">
				</div>
			</div>

			<div class="spacer"></div>
		</div>

		<div id="popup-uploadfile" class="popupContent">
			<div class="header">
				<span>Upload File</span>
				<div name="closeBt" class="popupBt mToolButton" data-onclick="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>

			<div class="content">
				<div class="label">Choose file:</div>
				<div class="spacer"></div>
				<div class="field" style="overflow:hidden;">
					<form id="fm_uploadFileForm" action="" enctype="multipart/form-data" method="post" target="fm_uploadFileFrame">
					<input id="fm_uploadFileInput" style="font-size:12px" class="stdInput" type="file" name="file" size="11" multiple="multiple" onfocus="focusMe(this)" onblur="blurMe(this)">
					</form>
					<br style="clear:both">
				</div>
				<div class="spacer"></div>
				<div class="spacer"></div>
				<div class="field">
					<div class="mButton" data-onclick="fileManager.uploadFile()">
						<img src="/manager/pic/bticonupload.png">
						<span>upload</span>
					</div>
					<br style="clear:both">
				</div>
				<iframe id="fm_uploadFileFrame" name="fm_uploadFileFrame" style="width:185px; display:none"></iframe>
			</div>

			<div class="spacer"></div>
		</div>

		<div id="popup-uploadingfile" class="popupContent">
			<div class="header">
				<span>Upload File</span>
				<div name="closeBt" class="popupBt mToolButton" data-onclick="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>

			<div class="content">
				<div class="label">Please wait, upload in progress..</div>
				<div class="spacer"></div>
				<div class="field">
					<div id="fm_uploadPFileName">&nbsp;</div>
					<div id="fm_uploadPBarContainer" class="m_barContainer">
						<div id="fm_uploadPBar" class="m_bar"></div>
					</div>
					<div>
						<div id="fm_uploadPProgress">&nbsp;</div>
						<div id="fm_uploadPBytes">&nbsp;</div>
					</div>
					<div class="spacer"></div>
				</div>
				<div class="spacer"></div>
				<div class="field">
					<div class="mButton" data-onclick="fileManager.cancelUpload()">
						<img src="/manager/pic/bticondel.png">
						<span>cancel upload</span>
					</div>
					<br style="clear:both">
				</div>
			</div>

			<div class="spacer"></div>
		</div>

		<div id="popup-uploadoverwrite" class="popupContent">
			<div class="header">
				<span>Upload File</span>
				<div name="closeBt" class="popupBt mToolButton" data-onclick="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>

			<div class="content">
				<div name="e" class="label">The file you're uploading already exists. Overwrite it?</div>
				<div class="spacer"></div>
				<div class="spacer"></div>
				<div class="field">
					<div class="mButton" style="width:80px" data-onclick="manager.closePopup()">
						<img src="/manager/pic/bticonclose.png">
						<span>no</span>
					</div>
					<div class="mButton" style="width:80px; margin-right:5px;" data-onclick="fileManager.confirmUpload()">
						<img src="/manager/pic/bticoncheck.png">
						<span>yes</span>
					</div>
					<br style="clear:both">
				</div>
			</div>

			<div class="spacer"></div>
		</div>

		<div id="popup-closeeditor" class="popupContent">
			<div class="header">
				<span>Save</span>
				<div name="closeBt" class="popupBt mToolButton" data-onclick="manager.closePopup()"><img src="/manager/pic/bticonclose.png"></div>
				<br style="clear:both">
			</div>

			<div class="content">
				<div name="e" class="label">Save edited file before closing the editor?</div>
				<div class="spacer"></div>
				<div class="spacer"></div>
				<div class="field">
 					<div class="mButton" style="width:80px" data-onclick="fileManager.closeEditor(false)">
						<img src="/manager/pic/bticonclose.png">
						<span>no</span>
					</div>
					<div class="mButton" style="width:80px; margin-right:5px;" data-onclick="fileManager.closeEditor(true)">
						<img src="/manager/pic/bticoncheck.png">
						<span>save</span>
					</div>
					<br style="clear:both">
				</div>
			</div>

			<div class="spacer"></div>
		</div>

	</div>
</div>

<div id="noticePanel">
	<img src="/manager/pic/iconstatus.gif">
	<span id="notice"></span>
	<div name="closeBt" class="popupBt mToolButton" data-onclick="manager.clearNotice(true)"><img src="/manager/pic/bticonclose.png"></div>
</div>

<div id="quickAppsPanel">
	<div name="pe" class="quickAppsButton">
		<div class="iconContainer">
			<img class="icon" src="/manager/pic/appiconpe.png">
		</div>
		<div>Project Editor</div>
	</div>
	<div name="fm" class="quickAppsButton">
		<div class="iconContainer">
			<img class="icon" src="/manager/pic/appiconfm.png">
		</div>
		<div>File Manager</div>
	</div>
	<div name="lv" class="quickAppsButton">
		<div class="iconContainer">
			<img class="icon" src="/manager/pic/appiconlv.png">
		</div>
		<div>Log Viewer</div>
	</div>

	<div name="se" class="quickAppsButton">
		<div class="iconContainer">
			<img class="icon" src="/manager/pic/appiconse.png">
		</div>
		<div>Settings</div>
	</div>
	<div name="ad" class="quickAppsButton">
		<div class="iconContainer">
			<img class="icon" src="/manager/pic/appiconad.png">
		</div>
		<div>Admin</div>
	</div>
	<div name="we" class="quickAppsButton">
		<div class="iconContainer">
			<img class="icon" src="/manager/pic/appiconwe.png">
		</div>
		<div>Wiring Editor</div>
	</div>
	<div name="sb" class="quickAppsButton">
		<div class="iconContainer">
			<img class="icon" src="/manager/pic/appiconsb.png">
		</div>
		<div>Status Browser</div>
	</div>
	<div name="sm" class="quickAppsButton">
		<div class="iconContainer">
			<img class="icon" src="/manager/pic/appiconsm.png">
		</div>
		<div>System Monitor</div>
	</div>
	<div name="st" class="quickAppsButton">
		<div class="iconContainer">
			<img class="icon" src="/manager/pic/appiconst.png">
		</div>
		<div>Tunnel Utility</div>
	</div>
	<div name="ku" class="quickAppsButton">
		<div class="iconContainer">
			<img class="icon" src="/manager/pic/appiconku.png">
		</div>
		<div>KNX Utility</div>
	</div>
	<div name="bu" class="quickAppsButton">
		<div class="iconContainer">
			<img class="icon" src="/manager/pic/appiconbu.png">
		</div>
		<div>Bacnet Utility</div>
	</div>
	<div name="mu" class="quickAppsButton">
		<div class="iconContainer">
			<img class="icon" src="/manager/pic/appiconmu.png">
		</div>
		<div>Modbus Utility</div>
	</div>
</div>

<div id="delmeArea"></div>

<div id="tempArea" class="hsc">
</div>

<div id="lock" style="position:absolute; display:none; width:100%; height:100%; background:url(/manager/pic/lock.png) center center no-repeat;"></div>

</body>

</html>
